<?xml version="1.0" encoding="UTF-8"?>

<application port="5002">

    <resources>

        <listener value="com.lxyer.redim.RedbbsListener"/>

        <source name="redis" value="org.redkalex.cache.RedisCacheSource" xxx="16">

            <node addr="redishost" password="hello" port="6379"/>

        </source>

        <properties load="conf.txt"/>

    </resources>

    <server host="0.0.0.0" port="80" protocol="HTTP" root="root">

        <services autoload="true"/>

        <rest autoload="true" base="com.lxyer.bbs.base.BaseServlet" path="os"/>

        <request>

            <remoteaddr value="request.headers.X-Real-IP"/>

        </request>
        <response>
            <defcookie domain="" path=""/>
            <addheader name="Access-Control-Allow-Origin" value="request.headers.Origin" />
            <setheader name="Access-Control-Allow-Headers" value="request.headers.Access-Control-Request-Headers"/>
            <setheader name="Access-Control-Allow-Credentials" value="true"/>
            <options auto="true" />
        </response>

        <servlets autoload="true" path=""/>

        <render value="com.lxyer.bbs.base.EnjoyRender"/>

    </server>

</application>

